### Function

# GLibUnix Pipe clear

since: 2.80

#### Declaration [src]

    void
    g_unix_pipe_clear (
      GUnixPipe* self
    )

#### Description [src]

Close both ends of the pipe, unless they have already been closed or stolen. Any errors are ignored: use `g_unix_pipe_close()` or `g_clear_fd()` if error-handling is required.

This function is async-signal safe if `error` is `NULL` and each member of `fds` are either negative or a valid open file descriptor. As a result, it is safe to call this function or use `g_auto(GUnixPipe)` (on compilers that support it) in a signal handler or a `GSpawnChildSetupFunc`, as long as those conditions are ensured to be true. See `signal(7)` and `signal-safety(7)` for more details.

This function preserves the value of `errno`.

Available since: 2.80

This function is not directly available to language bindings.

#### Parameters

`self`

  Type: `GUnixPipe`

  A `GUnixPipe`.

  The data is owned by the caller of the function.